org.apache.solr.common.cloud

## Interface CollectionStatePredicate

    public interface CollectionStatePredicate

Interface to determine if a collection state matches a required state

See Also:
  `ZkStateReader.waitForState(String, long, TimeUnit, CollectionStatePredicate)`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matches(Set<String> liveNodes, DocCollection collectionState)` Check the collection state matches a required state Note that both liveNodes and collectionState should be consulted to determine the overall state.

### Method Detail

#### matches

    boolean matches(Set<String> liveNodes,
                    DocCollection collectionState)

Check the collection state matches a required state Note that both liveNodes and collectionState should be consulted to determine the overall state.

Parameters:
  `liveNodes` - the current set of live nodes
  `collectionState` - the latest collection state, or null if the collection does not exist